## Iterator-BreakOn-0.4.tar.gz

=== Makefile ===
#
#	Global values
MODULE=Iterator::BreakOn
DEBIAN_PACKAGE=libiterator-breakon-perl
DESTDIR ?= /tmp

#
#	Source modules (all .pm files under the lib directory)
MODULES=$(shell find lib -name "*.pm")
OTHERS=$(wildcard examples/*.p[ml])
CHECK_SOURCES=$(MODULES) $(BINARIES) $(OTHERS)
DATA=$(wildcard examples/*.csv)

#
#	Test program
DEBUG=examples/example.pl
ARGS=

#
#	External tools
PERL ?= perl -Ilib
PERL_CHECK ?= $(PERL) -cw
PERL_DEBUG ?= $(PERL) -d:ptkdb
PROVE=$(shell which prove) -Ilib
INSTALL=$(shell which install)
DEBUILD=debuild -uc -us -sa

#
#	Do nothing by default
all:

#
#	Check syntax
.PHONY:	check $(CHECK_SOURCES)

check:	$(CHECK_SOURCES)

$(CHECK_SOURCES):
	$(PERL_CHECK) $@

#
#	Test programs
test:	
	$(PROVE) -v t/

#
#	Debug program
debug:		check $(DEBUG)
	$(PERL_DEBUG) $(DEBUG) $(ARGS)

#
#	Run program
run:	check $(DEBUG)
	$(PERL) $(DEBUG) $(ARGS)

#
#	Build the perl package
build:		Build data

Build:		Build.PL
	$(PERL) Build.PL installdirs=vendor

binary:		build
	$(PERL) Build 

data:	$(DATA)

examples/datasource.csv:
	$(PERL) examples/make_csv_file.pl

#
#	Documents and manual pages
doc:	build
	$(PERL) Build docs

#
#	Install the perl package
install:	test binary
	$(PERL) Build install destdir=$(DESTDIR)

#
#	Make the distribution file
dist:	build
	$(PERL) Build dist

.PHONY: clean

clean:
	-$(PERL) Build clean
	rm -f *.gz *.orig *.bak
	rm -f $(DATA)

distclean:
	-$(PERL) Build distclean

#
#	Debian package
deb:
	$(DEBUILD)

=== debian/changelog ===
libiterator-breakon-perl (0.4) unstable; urgency=low

  * Bug fixes release
  * Minor changes in test scripts about wrong number of parameters and so.

 -- Victor Moral <victor@taquiones.net>  Tue, 16 Oct 2007 12:16:57 +0200

libiterator-breakon-perl (0.3) unstable; urgency=low

  * New module for event objects management.
  * Minor bugfixes in documentation and code.
  * New dependency on libclass-accessor-perl

 -- Victor Moral <victor@taquiones.net>  Wed, 25 Apr 2007 10:47:32 +0200

libiterator-breakon-perl (0.2) unstable; urgency=low

  * Added a file for dh_installexamples

 -- Victor Moral <victor@taquiones.net>  Tue, 24 Apr 2007 09:26:06 +0200

libiterator-breakon-perl (0.1) unstable; urgency=low

  * Initial Release.

 -- Victor Moral <victor@taquiones.net>  Mon, 23 Apr 2007 12:15:21 +0200

=== debian/control ===
Source: libiterator-breakon-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 5.0.0), libmodule-build-perl
Build-Depends-Indep: perl (>= 5.8.8-7), libexception-class-perl, liblist-moreutils-perl, libclass-accessor-perl
Maintainer: Victor Moral <victor@taquiones.net>
Standards-Version: 3.7.2

Package: libiterator-breakon-perl
Architecture: all
Depends: ${perl:Depends}, libexception-class-perl, liblist-moreutils-perl, libclass-accessor-perl
Description: Data iterator with control flow breaks
 This module implements break events on a iterator based on the value of the
 fields of each item.
 . 
 The data source can be a DBI resultset, and the returned rows are assumed  to
 be sorted.

=== debian/rules ===
#!/usr/bin/make -f
# This debian/rules file is provided as a template for normal perl
# packages. It was created by Marc Brockschmidt <marc@dch-faq.de> for
# the Debian Perl Group (http://pkg-perl.alioth.debian.org/) but may
# be used freely wherever it is useful.
#
# It was later modified by Jason Kohles <email@jasonkohles.com>
# http://www.jasonkohles.com/ to support Module::Build installed modules

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# If set to a true value then MakeMaker's prompt function will
# always return the default without waiting for user input.
export PERL_MM_USE_DEFAULT=1

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

TMP     =$(CURDIR)/debian/$(PACKAGE)

build: build-stamp
build-stamp:
	dh_testdir

	# Add commands to compile the package here
	$(MAKE) build
	OPTIMIZE="-Wall -O2 -g" $(PERL) Build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add commands to clean up after the build process here
	$(MAKE) distclean

	dh_clean build-stamp install-stamp

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k

	# Add commands to install the package into debian/$PACKAGE_NAME here
	$(MAKE) test
	$(MAKE) install DESTDIR=$(TMP)

	touch install-stamp

binary-arch:
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installcron
#	dh_installmenu
	dh_installexamples
	dh_installdocs README TODO 
	dh_installchangelogs Changes
	dh_perl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
